Package de.willuhn.jameica.hbci.passports.ddv

# Class Controller

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.passports.ddv.Controller

public class Controller extends de.willuhn.jameica.gui.AbstractControl
Controller, der die Eingaben zur Konfiguration des Passports handelt.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`Controller(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getBezeichnung()`
Liefert ein Eingabe-Feld fuer die Bezeichnung.
`de.willuhn.jameica.gui.parts.TablePart`
`getConfigList()`
Liefert eine Liste mit den existierenden Konfigurationen.
`de.willuhn.jameica.gui.input.Input`
`getCTAPI()`
Liefert eine Datei-Auswahl fuer den CTAPI-Treiber.
`de.willuhn.jameica.gui.input.Input`
`getCTNumber()`
Liefert das Eingabe-Feld fuer die Nummer des Lesers.
`de.willuhn.jameica.gui.input.Input`
`getEntryIndex()`
Liefert das Eingabe-Feld fuer die Index-Nummer des HBCI-Zugangs.
`de.willuhn.jameica.gui.input.SelectInput`
`getHBCIVersion()`
Liefert eine Auswahl-Box fuer die HBCI-Version.
`de.willuhn.jameica.gui.parts.TablePart`
`getKontoAuswahl()`
Liefert eine Tabelle mit festzuordenbaren Konten.
`de.willuhn.jameica.gui.input.Input`
`getPCSCName()`
Liefert ein Eingabe-Feld fuer den Namen des Kartenlesers bei PCSC.
`de.willuhn.jameica.gui.input.SelectInput`
`getPort()`
Liefert das Eingabe-Feld fuer den Port.
`de.willuhn.jameica.gui.input.SelectInput`
`getReaderPresets()`
Liefert eine Auswahl von vorkonfigurierten Chipkartenlesern.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getSoftPin()`
Liefert die Checkbox fuer die Auswahl der Tastatur als PIN-Eingabe.
`void`
`handleChangeBankData()`
Aendert BLZ, Hostname usw.
`void`
`handleCreate()`
Erstellt eine neue Kartenleser-Config.
`void`
`handleDelete(DDVConfig config)`
Loescht die angegebene Kartenleser-Config.
`void`
`handleDisplayProperties()`
Zeigt die BPD/UPD des Passports an.
`void`
`handleScan()`
Versucht, den Kartenleser automatisch zu ermitteln.
`boolean`
`handleStore()`
Speichert die Einstellungen.
`void`
`handleSync()`
Synchronisiert den Bankzugang neu.
`void`
`handleTest()`
Testet die Einstellungen.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Controller

public Controller(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getConfigList

public de.willuhn.jameica.gui.parts.TablePart getConfigList() throws RemoteException
Liefert eine Liste mit den existierenden Konfigurationen.

Returns:
  Liste der Konfigurationen.
Throws:
  `RemoteException`

### getKontoAuswahl

public de.willuhn.jameica.gui.parts.TablePart getKontoAuswahl() throws RemoteException
Liefert eine Tabelle mit festzuordenbaren Konten.

Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`

### getHBCIVersion

public de.willuhn.jameica.gui.input.SelectInput getHBCIVersion() throws RemoteException
Liefert eine Auswahl-Box fuer die HBCI-Version.

Returns:
  Auswahl-Box.
Throws:
  `RemoteException`

### getReaderPresets

public de.willuhn.jameica.gui.input.SelectInput getReaderPresets()
Liefert eine Auswahl von vorkonfigurierten Chipkartenlesern.

Returns:
  Auswahl von vorkonfigurierten Lesern.

### getCTAPI

public de.willuhn.jameica.gui.input.Input getCTAPI()
Liefert eine Datei-Auswahl fuer den CTAPI-Treiber.

Returns:
  Auswahl-Feld.

### getPort

public de.willuhn.jameica.gui.input.SelectInput getPort()
Liefert das Eingabe-Feld fuer den Port.

Returns:
  Eingabe-Feld.

### getCTNumber

public de.willuhn.jameica.gui.input.Input getCTNumber()
Liefert das Eingabe-Feld fuer die Nummer des Lesers.

Returns:
  Eingabe-Feld.

### getBezeichnung

public de.willuhn.jameica.gui.input.Input getBezeichnung()
Liefert ein Eingabe-Feld fuer die Bezeichnung.

Returns:
  Bezeichnung.

### getPCSCName

public de.willuhn.jameica.gui.input.Input getPCSCName()
Liefert ein Eingabe-Feld fuer den Namen des Kartenlesers bei PCSC.

Returns:
  Bezeichnung.

### getEntryIndex

public de.willuhn.jameica.gui.input.Input getEntryIndex()
Liefert das Eingabe-Feld fuer die Index-Nummer des HBCI-Zugangs.

Returns:
  Eingabe-Feld.

### getSoftPin

public de.willuhn.jameica.gui.input.CheckboxInput getSoftPin()
Liefert die Checkbox fuer die Auswahl der Tastatur als PIN-Eingabe.

Returns:
  Checkbox.

### handleScan

public void handleScan()
Versucht, den Kartenleser automatisch zu ermitteln.

### handleDisplayProperties

public void handleDisplayProperties()
Zeigt die BPD/UPD des Passports an.

### handleCreate

public void handleCreate()
Erstellt eine neue Kartenleser-Config.

### handleDelete

public void handleDelete(DDVConfig config)
Loescht die angegebene Kartenleser-Config.

Parameters:
  `config` - die zu loeschende Config.

### handleSync

public void handleSync()
Synchronisiert den Bankzugang neu.

### handleStore

public boolean handleStore()
Speichert die Einstellungen.

Returns:
  true, wenn die Einstellungen gespeichert werden konnten.

### handleTest

public void handleTest()
Testet die Einstellungen.

### handleChangeBankData

public void handleChangeBankData()
Aendert BLZ, Hostname usw. auf der Karte.